package com.szpg.db.data;

import java.io.Serializable;
import java.util.Date;

import com.szpg.util.TimeFormat;

public class PgTemphumAlm implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 3941256870587343705L;
	
	private Integer id;
	private Boolean tempalm;
	private Boolean humalm;
	private Date logtime;
	private Date uptime;
	private Integer pgdeviceid;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Boolean getTempalm() {
		return tempalm;
	}

	public void setTempalm(Boolean tempalm) {
		this.tempalm = tempalm;
	}

	public Boolean getHumalm() {
		return humalm;
	}

	public void setHumalm(Boolean humalm) {
		this.humalm = humalm;
	}

	public Date getLogtime() {
		return logtime;
	}

	public void setLogtime(Date logtime) {
		this.logtime = logtime;
	}

	public Date getUptime() {
		return uptime;
	}

	public void setUptime(Date uptime) {
		this.uptime = uptime;
	}

	public Integer getPgdeviceid() {
		return pgdeviceid;
	}

	public void setPgdeviceid(Integer pgdeviceid) {
		this.pgdeviceid = pgdeviceid;
	}

	public void setTm(Date tm) {
		this.logtime = tm;
		this.uptime = tm;
	}

	public String getTmStr() {
		if (null != this.logtime) {
			return TimeFormat.formatTimestamp(logtime);
		} else {
			return "";
		}
	}

	public String getTmStrGB() {
		if (null != this.logtime) {
			return TimeFormat.format(logtime, "yyyyMMddHHmmss");
		} else {
			return "";
		}
	}
	
	@Override
	public String toString() {
		return "PgTemphum[hum=" + humalm + ", temp=" + tempalm + ", logtime=" + TimeFormat.formatTimestamp(logtime) + "]";
	}
}
